{% load i18n static common %}
<div style="padding: 5px;min-height: 490px;width: 1100px">
  <form class="layui-form action-form" action="" method="post" id="{{ model_name }}_{{ action_repr }}">
    {% csrf_token %}
    {% with form.form as f %}
      <div style="padding-bottom: 5px">{{ f.emp }}</div>
      <div class="layui_form_item">
        {% layui_inline f.start_time %}
        {% layui_inline f.end_time %}
        {% layui_inline f.category %}
      </div>
      <div class="layui_form_item">
        {% layui_inline f.reason %}
      </div>
    {% endwith %}
  </form>
</div>
<script>
  layui.use(['form', 'laydate'], function () {
    var form = layui.form;
    var laydate = layui.laydate;
    $("form.layui-form input.layui-datetime").each(function () {
      laydate.render({elem: this, type: 'datetime'});
    });
    $("form.layui-form input.layui-date").each(function () {
      laydate.render({elem: this, type: 'date'});
    });
    $("form.layui-form input.layui-time").each(function () {
      laydate.render({elem: this, type: 'time'});
    });
    {% block form_verify %}
      form.verify({});
    {% endblock %}
    form.render();
  });
</script>
